import React, { Component } from 'react';
import classnames from 'classnames';
import {HeaderBar} from '@/common';
import { browser } from '@/utils';
import './index.scss';

class PythonClass extends Component {

  constructor(props) {
    super(props);
    this.state = {
      isWechat: browser.isWechat,
      isShare: true,
      entryMode: 1, // 0：扫码页，1:落地页
    }
  }

  render() {
    const { isWechat, isShare, entryMode } = this.state;
    return (
      <>
        <HeaderBar
          title='Python基础语法'
          arrow={true}
          home={true}
        />
        <PythonContent
          isWechat={isWechat}
          isShare={isShare}
          entryMode={entryMode}
        />
      </>
    );
  }
}

function PythonContent(props) {
  const { isWechat, isShare, entryMode } = props;
  return (
    <div className={classnames(
      "python-container", 
      {
        'python-container--page': entryMode === 1
      })}>

      {/* 微信 */}
      {
        (entryMode === 0 && isWechat) && 
        <div className="python-header">
          <p className="python-wechat__title">请点击右上角分享</p>
          <i className="iconfont iconyindao"></i>
        </div>
      }

      {/* 非微信 */}
      {
        (entryMode === 0 && !isWechat) && 
        <div className="python-header">
          <p className="python-wechat__title">
            {isShare? '快分享给好友吧' : '快发给好友求助吧'}
          </p>
        </div>
      }
      <div className="python-content">
        <div className="python-user">
          <div className="python-user__portrait">
            <img src="" alt=""/>
          </div>
          <h2 className="python-user__id">这里是用户ID</h2>

          {/* 分享 */}
          {
            (entryMode === 0 && isShare) &&
            <p className="python-user__desc">
              完成了
              <span>【练习-听见无脸男的声音】</span>
            </p>
          }
          {
            (entryMode === 1 && isShare) &&
            <p className="python-user__desc">
              在
              <span>【练习-听见无脸男的声音】</span>完成了<br />
              练习-听见无脸男的声音
            </p>
          }

          {/* 求助 */}
          {
            (entryMode === 0 && !isShare) &&
            <p className="python-user__desc">
              在
              <span>【练习-听见无脸男的声音】</span>
              遇到了困难
            </p>
          }
          {
            (entryMode === 1 && !isShare) &&
            <p className="python-user__desc">
              在
              <span>【练习-听见无脸男的声音】</span>的<br />
              课程-萌新的进化遇到了困难
            </p>
          }
        </div>
        <h4 className="python-code__title">
          { entryMode === 1 && isShare? '这是Ta的第723行代码' : '运行结果'}
        </h4>
        <div className="python-code__content">
          code
        </div>
        <h4 className="python-code__title">代码</h4>
        <div className="python-code__content">
          code
          {
            (entryMode === 1 && isShare) &&
            <button className="python-button python-button__execute">运行看看</button>
          }
        </div>
      </div>

      {
        entryMode === 1 &&
        <button className="python-button python-button__study">我也要学Python</button>
      }
    </div>
  );
}

export default PythonClass;